## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 22;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname  git-url-parse
%global pkgname  python-git-url-parse
%global slugname giturlparse
%global forgeurl https://github.com/coala/git-url-parse

%global common_description %{expand:
A simple GIT URL parser similar to giturlparse.py.
}

%bcond_without doc
%bcond_without tests

Name:           %{pkgname}
Version:        1.2.2
%forgemeta
Release:        %autorelease
Summary:        A simple GIT URL parser similar to giturlparse.py
License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}
Patch:          0001_remove_pytest_coverage.patch
BuildArch:      noarch

BuildRequires: make
BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros

%if %{with doc}
BuildRequires: python3dist(sphinx)
BuildRequires: python3dist(alabaster)
%endif

%if %{with tests}
BuildRequires: python3dist(pytest)
%endif

%description %{common_description}

%package -n python-%{srcname}-doc
Summary: %summary

%description -n python-%{srcname}-doc
Documentation for python-git-url-parse

%package -n python3-%{srcname}
Summary: %summary

%description -n python3-%{srcname} %{common_description}

%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel
%if %{with doc}
cd doc
PYTHONPATH=.. make html
rm -rf build/html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{slugname}

%check
%pyproject_check_import
%if %{with tests}
PYTHONWARNINGS=ignore %pytest -vv test
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%files -n python-%{srcname}-doc
%license LICENSE
%doc *.rst
%doc doc/build/html

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.2.2-21
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.2.2-18
- adding rpm macros requirement

* Wed Jul 13 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.2.2-17
- minor refactor of changelog

* Wed Jul 13 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.2.2-16
- removing pytest coverage

* Wed Jul 13 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.2.2-15
- typo correction

* Wed Jul 13 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.2.2-14
- spec file modernization

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.2.2-13
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.2-10
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 19 2021 Tom Stellard <tstellar@redhat.com> - 1.2.2-8
- Add BuildRequires: make

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 chedi toueiti <chedi.toueiti@gmail.com> - 1.2.2-6
- Replace Python version globs with macros to support python 3.10

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.2.2-5
- Rebuilt for Python 3.9

* Tue Mar 10 2020 Your Name <you@example.com> - 1.2.2-4
- accomodating for f30 py.test script name

* Tue Mar 10 2020 Your Name <you@example.com> - 1.2.2-3
- sources update

* Tue Mar 10 2020 Your Name <you@example.com> - 1.2.2-2
- minor bump

* Tue Mar 10 2020 Your Name <you@example.com> - 1.2.2-1
- initial commit
